# Generated from mimetype-1.3.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name mimetype

Name: rubygem-%{gem_name}
Version: 1.3.0
Release: 1%{?dist}
Summary: A fast, modern, and up-to-date MimeType library
License: MIT
URL: http://github.com/tiffinlabs/mimetype/
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.5.0
# BuildRequires: rubygem(rspec) >= 3.4
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(rubocop) >= 0.56
# BuildRequires: rubygem(rubocop) < 1
# BuildRequires: rubygem(simplecov) >= 0.16
# BuildRequires: rubygem(simplecov) < 1
# BuildRequires: rubygem(mime-types) >= 3.1
# BuildRequires: rubygem(mime-types) < 4
# BuildRequires: rubygem(memory_profiler) >= 0.9
# BuildRequires: rubygem(memory_profiler) < 1
# BuildRequires: rubygem(luna-rspec-formatters) >= 3.0
# BuildRequires: rubygem(luna-rspec-formatters) < 4
# BuildRequires: rubygem(benchmark-ips) >= 2.7
# BuildRequires: rubygem(benchmark-ips) < 3
# BuildRequires: rubygem(mini_mime) >= 1.0
# BuildRequires: rubygem(mini_mime) < 2
# BuildRequires: rubygem(pry)
# BuildRequires: rubygem(pry) < 1
BuildArch: noarch

%description
A fast, modern, and up-to-date MimeType library.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile

%changelog
* Tue Aug 24 2021 mockbuilder - 1.3.0-1
- Initial package
